/** @module ensure-end
 */
declare module "ensure-end" {
    /**
     * Ensures that a string or an array ends with specified value
     * @example
     * import ensureEnd from "ensure-end"
     * ensureEnd("cd", "ab")
     * // "cdab"
     * @example
     * import ensureEnd from "ensure-end"
     * ensureEnd(["ab"], ["c", "d"])
     * // ["ab", "c", "d"]
     * @function
     * @param {string|array} value String or array that should end with specified value
     * @param {string|array} ensuredEnd The wanted end value
     * @returns {*} Cleaned value
     */
    export default function(value: string | any[], ensuredEnd: string | any[]): any;
}